Bug 962428 - [abrt] eclipse-platform-4.3.0-0.41.fc19: handle_error: Process /usr/lib/eclipse/eclipse was killed by signal 5 (SIGTRAP)
[abrt] eclipse-platform-4.3.0-0.41.fc19: handle_error: Process /usr/lib/eclip...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:2faa0dd59f84eb0ad78ea78fe3e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 09:18 EDT by Herbert Carl Meyer
Modified: 2013-12-10 04:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 04:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (265.69 KB, text/plain)
2013-05-13 09:18 EDT, Herbert Carl Meyer
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: core_backtrace (1.93 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: dso_list (29.34 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: environ (1.69 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: maps (62.18 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: open_fds (13.64 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: proc_pid_status (773 bytes, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details
File: var_log_messages (3.18 KB, text/plain)
2013-05-13 09:19 EDT, Herbert Carl Meyer
no flags Details

  None (edit)
Description Herbert Carl Meyer 2013-05-13 09:18:52 EDT
Description of problem:
Starting up eclipse, not for the first time. I am researching a problem with SWT that might only appear on 64bit linux. This is a 32bit Fedora 19 system.

Version-Release number of selected component:
eclipse-platform-4.3.0-0.41.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        eclipse
crash_function: handle_error
executable:     /usr/lib/eclipse/eclipse
kernel:         3.9.1-301.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:212
 #5 handle_response at xcb_io.c:324
 #6 _XReadEvents at xcb_io.c:425
 #7 _cairo_xlib_shm_surface_flush at cairo-xlib-surface-shm.c:696
 #8 __cairo_surface_flush at cairo-surface-inline.h:48
 #9 _cairo_surface_flush at cairo-surface.c:1483
 #10 INT_cairo_surface_flush at cairo-surface.c:1510
 #11 _cairo_xlib_surface_discard_shm at cairo-xlib-surface.c:369
 #12 _cairo_xlib_surface_finish at cairo-xlib-surface.c:401
 #13 _cairo_surface_finish at cairo-surface.c:1007
Comment 1 Herbert Carl Meyer 2013-05-13 09:18:58 EDT
Created attachment 747225 [details]
File: backtrace
Comment 2 Herbert Carl Meyer 2013-05-13 09:19:01 EDT
Created attachment 747226 [details]
File: cgroup
Comment 3 Herbert Carl Meyer 2013-05-13 09:19:03 EDT
Created attachment 747227 [details]
File: core_backtrace
Comment 4 Herbert Carl Meyer 2013-05-13 09:19:07 EDT
Created attachment 747228 [details]
File: dso_list
Comment 5 Herbert Carl Meyer 2013-05-13 09:19:10 EDT
Created attachment 747229 [details]
File: environ
Comment 6 Herbert Carl Meyer 2013-05-13 09:19:12 EDT
Created attachment 747230 [details]
File: limits
Comment 7 Herbert Carl Meyer 2013-05-13 09:19:14 EDT
Created attachment 747231 [details]
File: maps
Comment 8 Herbert Carl Meyer 2013-05-13 09:19:17 EDT
Created attachment 747232 [details]
File: open_fds
Comment 9 Herbert Carl Meyer 2013-05-13 09:19:20 EDT
Created attachment 747233 [details]
File: proc_pid_status
Comment 10 Herbert Carl Meyer 2013-05-13 09:19:21 EDT
Created attachment 747234 [details]
File: var_log_messages
Comment 11 Herbert Carl Meyer 2013-05-13 09:46:47 EDT
Clarification: Crash occurred when attempting to re-open Welcome, to display tutorials. Crash is repeatable. Eclipse will start, display existing project.
Comment 12 Herbert Carl Meyer 2013-05-14 07:43:41 EDT
Installed eclipse 4.3.0-0.45 updates this morning, appears to have fixed bug. I will continue on SWT.
Comment 13 Alexander Kurtakov 2013-05-20 06:14:39 EDT
So is this one fixed now or not?
Comment 14 Herbert Carl Meyer 2013-05-20 07:02:05 EDT
No, bug continues on newer builds of Eclipse.

3 Additional facts:

1) The bug requires a restore of a workspace. If a new workspace is created, welcome and tutorials will display normally. If an an existing workspace is used, Eclipse goes poof when attempting to redisplay welcome.

2) The system I am testing on has a short display (1024 x 600). Many dialog boxes and wizards in Eclipse do not completely display, and are not usable. Typically, the top and bottom elements display, but the middle elements in the layout are missing, or scrunched beyond usability.

I am thinking how to work around 2) by using a virtual desktop at a greater height, or rotating the display 90 deg. More later.

3) Running the SWT tutorial requires importing a plugin fragment, that does not seem to be in the fedora pdt plugin package (org.eclipse.pde.ui.PluginImportWizard). One of the Eclipse dialogs unusable by 2) is  Help->Install New Software, which (I think) contains a list box in the middle, selecting a source for updates. 

Annoying, confusing. 2) makes diagnosis very difficult.
Comment 15 Alexander Kurtakov 2013-07-09 14:41:42 EDT
Eclipse final build is in Fedora 19, can you please test with it?
Comment 16 Alexander Kurtakov 2013-12-10 04:04:25 EST
Closing as no reply for months. Please reopen if you have time to spend time with us finding and fixng it.

Note You need to log in before you can comment on or make changes to this bug.